Foxit PDF SDK

Instance Methods | Properties | List of all members
FSDialogDescriptionElement Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithDlg_des_element:
| Constructor, with another dialog description element object. More...
(void) | - set:item_id:type:next_tab:width:height:char_width:char_height:font:bold:italic:alignment:align_children:element_array:
| Set values. More...

## Properties
NSString * | align_children
| The alignment for all descendants.
NSString * | alignment
| The alignment for this element.
BOOL | bold
| Specify if the font is bold.
int | char_height
| Specifies the height of the element in characters. More...
int | char_width
| Specifies the width of the element in characters. More...
FSDialogDescriptionElementArray * | element_array
| An array of object literals that describe the subelements of this dialog box element.
NSString * | font
| The font to use for this element. More...
int | height
| Specifies the height of the element in pixels. More...
BOOL | italic
| Specify if the font is italic.
NSString * | item_id
| An ItemID for this dialog box.
NSString * | name
| The displayed name of the dialog box element.
NSString * | next_tab
| An ItemID for the next dialog box item in the tab order.
NSString * | type
| The type of this dialog box element.
int | width
| Specifies the width of the element in pixels. More...

## Detailed Description

This class represents a dialog box elements property specifies an object literal with the following set of properties.

## Method Documentation

## ◆ initWithDlg_des_element:()

- (id) initWithDlg_des_element: |  | (FSDialogDescriptionElement*) | dlg_des_element |

Constructor, with another dialog description element object.

Parameters

  [in] | dlg_des_element | Another dialog description element object.

## ◆ set:item_id:type:next_tab:width:height:char_width:char_height:font:bold:italic:alignment:align_children:element_array:()

- (void) set: |  | (NSString *) | name
item_id: |  | (NSString *) | item_id
type: |  | (NSString *) | type
next_tab: |  | (NSString *) | next_tab
width: |  | (int) | width
height: |  | (int) | height
char_width: |  | (int) | char_width
char_height: |  | (int) | char_height
font: |  | (NSString *) | font
bold: |  | (BOOL) | bold
italic: |  | (BOOL) | italic
alignment: |  | (NSString *) | alignment
align_children: |  | (NSString *) | align_children
element_array: |  | (FSDialogDescriptionElementArray*) | element_array

Set values.

Parameters

  [in] | name | The displayed name of the dialog box element.
  [in] | item_id | An ItemID for this dialog box.
  [in] | type | The type of this dialog box element.
  [in] | next_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | Specifies the width of the element in pixels.
  [in] | height | Specifies the height of the element in pixels.
  [in] | char_width | Specifies the width of the element in characters.
  [in] | char_height | Specifies the height of the element in characters.
  [in] | font | The font to use for this element.
  [in] | bold | Specify if the font is bold.
  [in] | italic | Specify if the font is italic.
  [in] | alignment | The alignment for this element.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of object literals that describe the subelements of this dialog box element.

Returns
  None.

## Property Documentation

## ◆ char_height

- (int) char_height
| read write nonatomic assign

Specifies the height of the element in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

- (int) char_width
| read write nonatomic assign

Specifies the width of the element in characters.

If no width is specified, the combined width of the contents is used.

## ◆ font

- (NSString *) font
| read write nonatomic weak

The font to use for this element.

It will be one of the following strings:

- "default" - Default font
- "dialog" - Dialog box font
- "palette" - Palette (small) Font

## ◆ height

- (int) height
| read write nonatomic assign

Specifies the height of the element in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

- (int) width
| read write nonatomic assign

Specifies the width of the element in pixels.

If no width is specified, the combined width of the contents is used.